## EvSelection

EvSelection

## Functions

#define | EV_SELECTION_IFACE ()
#define | EV_IS_SELECTION_IFACE ()
void | ev_selection_render_selection ()
gchar * | ev_selection_get_selected_text ()
cairo_region_t * | ev_selection_get_selection_region ()

## Types and Values

enum | EvSelectionStyle
| EvSelection

## Object Hierarchy

        GEnum
        ╰── EvSelectionStyle
        GInterface
        ╰── EvSelection

## Description

## Functions

### EV_SELECTION_IFACE()

    #define EV_SELECTION_IFACE(k)	     (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_SELECTION, EvSelectionInterface))

### EV_IS_SELECTION_IFACE()

    #define EV_IS_SELECTION_IFACE(k)     (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_SELECTION))

### ev_selection_render_selection ()

    void
    ev_selection_render_selection (EvSelection *selection,
                                   EvRenderContext *rc,
                                   cairo_surface_t **surface,
                                   EvRectangle *points,
                                   EvRectangle *old_points,
                                   EvSelectionStyle style,
                                   GdkColor *text,
                                   GdkColor *base);

### ev_selection_get_selected_text ()

    gchar *
    ev_selection_get_selected_text (EvSelection *selection,
                                    EvPage *page,
                                    EvSelectionStyle style,
                                    EvRectangle *points);

### ev_selection_get_selection_region ()

    cairo_region_t *
    ev_selection_get_selection_region (EvSelection *selection,
                                       EvRenderContext *rc,
                                       EvSelectionStyle style,
                                       EvRectangle *points);

## Types and Values

### enum EvSelectionStyle

#### Members

EV_SELECTION_STYLE_GLYPH |  |
EV_SELECTION_STYLE_WORD |  |
EV_SELECTION_STYLE_LINE |  |

### EvSelection

    typedef struct _EvSelection EvSelection;